# Valorant Store

Valorant Store that shows your store without running VALORANT by using unofficial In-game API

## Requirements

[cfscrape (and Node.js dependency)](https://pypi.org/project/cfscrape/)

## Installation

To install use pip:

```bash
pip install valorantstore
```

## Usage

```python
from valorantstore import ValorantStore

# region: eu/na/ap/kr/br/latam/pbe
# sess_path: you can specify where to save session files, default is current directory
# proxy: you can use a proxy to change your ip address when logging in (optional)
valorant_store = ValorantStore(username="username", password="password", region="eu", sess_path=None, proxy=None)

print(valorant_store.wallet(False))
# {'Balances': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1156, 'e59aa87c-4cbf-517a-5983-6e81511be9b7': 145, 'f08d4ae3-939c-4576-ab26-09ce1f23bb37': 0}}

print(valorant_store.wallet(True))
# {'valorant_points': 1156, 'radianite_points': 145, 'free_agents': 0}

print(valorant_store.store(False))
# {'FeaturedBundle': {'Bundle': {'ID': 'ca12aef7-db28-4990-b7e9-2384f75ddc4e', 'DataAssetID': 'f7dcf7e1-485e-0524-ec82-0d97b2c8b40b', 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'Items': [{'Item': {'ItemTypeID': 'dd3bf334-87f3-40bd-b043-682a57a8dc3a', 'ItemID': '20eea728-493e-6e47-8121-159c67f4ba52', 'Amount': 2}, 'BasePrice': 475, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}, {'Item': {'ItemTypeID': '3f296c07-64c3-494c-923b-fe692a4fa1bd', 'ItemID': 'da6843a1-40de-aa1b-0c7f-848d6ffb9b39', 'Amount': 1}, 'BasePrice': 375, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'd5f120f8-ff8c-4aac-92ea-f2b5acbe9475', 'ItemID': 'b909e6f9-426c-e77d-9016-60ae23a0d11f', 'Amount': 1}, 'BasePrice': 325, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': 'f5ce6297-4cd4-4b09-3931-5f8b20a4317d', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '4c18d802-409d-ec20-f630-d3abfcaa37c7', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': 'a6fe7710-4edc-5e23-223d-aeaef3d17866', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '0a0237d3-4d57-0ed2-ab65-c898a7bc755b', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '5ac106cd-45ef-a26f-2058-f382f20c64db', 'Amount': 1}, 'BasePrice': 4350, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}], 'DurationRemainingInSeconds': 539200, 'WholesaleOnly': False}, 'Bundles': [{'ID': 'ca12aef7-db28-4990-b7e9-2384f75ddc4e', 'DataAssetID': 'f7dcf7e1-485e-0524-ec82-0d97b2c8b40b', 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'Items': [{'Item': {'ItemTypeID': 'dd3bf334-87f3-40bd-b043-682a57a8dc3a', 'ItemID': '20eea728-493e-6e47-8121-159c67f4ba52', 'Amount': 2}, 'BasePrice': 475, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}, {'Item': {'ItemTypeID': '3f296c07-64c3-494c-923b-fe692a4fa1bd', 'ItemID': 'da6843a1-40de-aa1b-0c7f-848d6ffb9b39', 'Amount': 1}, 'BasePrice': 375, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'd5f120f8-ff8c-4aac-92ea-f2b5acbe9475', 'ItemID': 'b909e6f9-426c-e77d-9016-60ae23a0d11f', 'Amount': 1}, 'BasePrice': 325, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': 'f5ce6297-4cd4-4b09-3931-5f8b20a4317d', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '4c18d802-409d-ec20-f630-d3abfcaa37c7', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': 'a6fe7710-4edc-5e23-223d-aeaef3d17866', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '0a0237d3-4d57-0ed2-ab65-c898a7bc755b', 'Amount': 1}, 'BasePrice': 1775, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 0, 'DiscountedPrice': 1775, 'IsPromoItem': False}, {'Item': {'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '5ac106cd-45ef-a26f-2058-f382f20c64db', 'Amount': 1}, 'BasePrice': 4350, 'CurrencyID': '85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741', 'DiscountPercent': 1, 'DiscountedPrice': 0, 'IsPromoItem': False}], 'DurationRemainingInSeconds': 539200, 'WholesaleOnly': False}], 'BundleRemainingDurationInSeconds': 539200}, 'SkinsPanelLayout': {'SingleItemOffers': ['755d86a0-4b1c-5c8b-9238-e5be850ba001', 'fbe265cf-4e3d-9891-791e-5089f1f7f102', '481a5abb-45d7-818d-798f-d18d988b6dc1', 'fed9c3f3-40a5-da67-4ac9-4683cc5a0eba'], 'SingleItemOffersRemainingDurationInSeconds': 10000}, 'BonusStore': {'BonusStoreOffers': [{'BonusOfferID': '91d441fd-4fe6-4b3a-83f9-709c6f97c305', 'Offer': {'OfferID': '37851a69-4719-d8ae-d305-49bcee8d853c', 'IsDirectPurchase': True, 'StartDate': '2022-07-22T18:56:03.678730534Z', 'Cost': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1275}, 'Rewards': [{'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '37851a69-4719-d8ae-d305-49bcee8d853c', 'Quantity': 1}]}, 'DiscountPercent': 33, 'DiscountCosts': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 855}, 'IsSeen': True}, {'BonusOfferID': '722534e3-67e7-4994-bf7f-76499f121a0a', 'Offer': {'OfferID': 'c4547e69-47a7-dc52-d09c-94bbf87dba0a', 'IsDirectPurchase': True, 'StartDate': '2022-07-22T18:56:03.678742076Z', 'Cost': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1775}, 'Rewards': [{'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': 'c4547e69-47a7-dc52-d09c-94bbf87dba0a', 'Quantity': 1}]}, 'DiscountPercent': 31, 'DiscountCosts': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1225}, 'IsSeen': True}, {'BonusOfferID': '49bb6862-c8f5-4d35-baf6-33f6f72e8272', 'Offer': {'OfferID': 'd3a228df-4eb5-09c4-0e32-93b50c9ec842', 'IsDirectPurchase': True, 'StartDate': '2022-07-22T18:56:03.678759888Z', 'Cost': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 2550}, 'Rewards': [{'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': 'd3a228df-4eb5-09c4-0e32-93b50c9ec842', 'Quantity': 1}]}, 'DiscountPercent': 22, 'DiscountCosts': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1989}, 'IsSeen': True}, {'BonusOfferID': '034628d4-8527-49d7-8eac-e71c04a11030', 'Offer': {'OfferID': '481a5abb-45d7-818d-798f-d18d988b6dc1', 'IsDirectPurchase': True, 'StartDate': '2022-07-22T18:56:03.678728369Z', 'Cost': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1275}, 'Rewards': [{'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '481a5abb-45d7-818d-798f-d18d988b6dc1', 'Quantity': 1}]}, 'DiscountPercent': 19, 'DiscountCosts': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1033}, 'IsSeen': True}, {'BonusOfferID': '32c9b22f-9b15-4c9a-8e91-577525ca17ae', 'Offer': {'OfferID': '186d9fbb-400e-665b-e5f3-c08b24b6974f', 'IsDirectPurchase': True, 'StartDate': '2022-07-22T18:56:03.67873985Z', 'Cost': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 1275}, 'Rewards': [{'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '186d9fbb-400e-665b-e5f3-c08b24b6974f', 'Quantity': 1}]}, 'DiscountPercent': 29, 'DiscountCosts': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 906}, 'IsSeen': True}, {'BonusOfferID': '58071bcd-81c9-4e1c-a10e-b18d8689f3a4', 'Offer': {'OfferID': '50265ad5-4f14-2b32-924e-02bbed2bea6f', 'IsDirectPurchase': True, 'StartDate': '2022-07-22T18:56:03.678723494Z', 'Cost': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 875}, 'Rewards': [{'ItemTypeID': 'e7c63390-eda7-46e0-bb7a-a6abdacd2433', 'ItemID': '50265ad5-4f14-2b32-924e-02bbed2bea6f', 'Quantity': 1}]}, 'DiscountPercent': 38, 'DiscountCosts': {'85ad13f7-3d1b-5128-9eb2-7cd8ee0b5741': 543}, 'IsSeen': True}], 'BonusStoreRemainingDurationInSeconds': 882236}}

print(valorant_store.store(True))
# {'daily_offers': {'remaining_duration': 10000, 'data': [{'id': '755d86a0-4b1c-5c8b-9238-e5be850ba001', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/755d86a0-4b1c-5c8b-9238-e5be850ba001/displayicon.png'}, {'id': 'fbe265cf-4e3d-9891-791e-5089f1f7f102', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/fbe265cf-4e3d-9891-791e-5089f1f7f102/displayicon.png'}, {'id': '481a5abb-45d7-818d-798f-d18d988b6dc1', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/481a5abb-45d7-818d-798f-d18d988b6dc1/displayicon.png'}, {'id': 'fed9c3f3-40a5-da67-4ac9-4683cc5a0eba', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/fed9c3f3-40a5-da67-4ac9-4683cc5a0eba/displayicon.png'}]}, 'night_market': {'remaining_duration': 882236, 'data': [{'id': '37851a69-4719-d8ae-d305-49bcee8d853c', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/37851a69-4719-d8ae-d305-49bcee8d853c/displayicon.png', 'original_cost': 1275, 'discount_cost': 855, 'discount_percent': 33}, {'id': 'c4547e69-47a7-dc52-d09c-94bbf87dba0a', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/c4547e69-47a7-dc52-d09c-94bbf87dba0a/displayicon.png', 'original_cost': 1775, 'discount_cost': 1225, 'discount_percent': 31}, {'id': 'd3a228df-4eb5-09c4-0e32-93b50c9ec842', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/d3a228df-4eb5-09c4-0e32-93b50c9ec842/displayicon.png', 'original_cost': 2550, 'discount_cost': 1989, 'discount_percent': 22}, {'id': '481a5abb-45d7-818d-798f-d18d988b6dc1', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/481a5abb-45d7-818d-798f-d18d988b6dc1/displayicon.png', 'original_cost': 1275, 'discount_cost': 1033, 'discount_percent': 19}, {'id': '186d9fbb-400e-665b-e5f3-c08b24b6974f', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/186d9fbb-400e-665b-e5f3-c08b24b6974f/displayicon.png', 'original_cost': 1275, 'discount_cost': 906, 'discount_percent': 29}, {'id': '50265ad5-4f14-2b32-924e-02bbed2bea6f', 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/50265ad5-4f14-2b32-924e-02bbed2bea6f/displayicon.png', 'original_cost': 875, 'discount_cost': 543, 'discount_percent': 38}]}, 'bundles': {'remaining_duration': 538460, 'data': [{'id': 'f7dcf7e1-485e-0524-ec82-0d97b2c8b40b', 'image': 'https://media.valorant-api.com/bundles/f7dcf7e1-485e-0524-ec82-0d97b2c8b40b/displayicon.png', 'items': [{'id': '20eea728-493e-6e47-8121-159c67f4ba52', 'amount': 2, 'type': 'buddy', 'image': 'https://media.valorant-api.com/buddylevels/20eea728-493e-6e47-8121-159c67f4ba52/displayicon.png'}, {'id': 'da6843a1-40de-aa1b-0c7f-848d6ffb9b39', 'amount': 1, 'type': 'card', 'image': 'https://media.valorant-api.com/playercards/da6843a1-40de-aa1b-0c7f-848d6ffb9b39/largeart.png'}, {'id': 'b909e6f9-426c-e77d-9016-60ae23a0d11f', 'amount': 1, 'type': 'spray', 'image': 'https://media.valorant-api.com/sprays/b909e6f9-426c-e77d-9016-60ae23a0d11f/fulltransparenticon.png'}, {'id': 'f5ce6297-4cd4-4b09-3931-5f8b20a4317d', 'amount': 1, 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/f5ce6297-4cd4-4b09-3931-5f8b20a4317d/displayicon.png'}, {'id': '4c18d802-409d-ec20-f630-d3abfcaa37c7', 'amount': 1, 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/4c18d802-409d-ec20-f630-d3abfcaa37c7/displayicon.png'}, {'id': 'a6fe7710-4edc-5e23-223d-aeaef3d17866', 'amount': 1, 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/a6fe7710-4edc-5e23-223d-aeaef3d17866/displayicon.png'}, {'id': '0a0237d3-4d57-0ed2-ab65-c898a7bc755b', 'amount': 1, 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/0a0237d3-4d57-0ed2-ab65-c898a7bc755b/displayicon.png'}, {'id': '5ac106cd-45ef-a26f-2058-f382f20c64db', 'amount': 1, 'type': 'skin', 'image': 'https://media.valorant-api.com/weaponskinlevels/5ac106cd-45ef-a26f-2058-f382f20c64db/displayicon.png'}], 'remaining_duration': 538460}]}}

print(valorant_store.skin_info("4e435234-49a2-1444-4640-908692c855b8"))
# {'uuid': '4e435234-49a2-1444-4640-908692c855b8', 'displayName': 'RGX 11z Pro Vandal', 'levelItem': None, 'displayIcon': 'https://media.valorant-api.com/weaponskinlevels/4e435234-49a2-1444-4640-908692c855b8/displayicon.png', 'streamedVideo': 'https://media.valorant-api.com/streamedvideos/VALskinpreview_Afterglow_Vandal_01.mp4', 'assetPath': 'ShooterGame/Content/Equippables/Guns/Rifles/AK/Afterglow/Levels/AK_Afterglow_Lv1_PrimaryAsset'}

print(valorant_store.buddy_info("20eea728-493e-6e47-8121-159c67f4ba52"))
# {'uuid': '20eea728-493e-6e47-8121-159c67f4ba52', 'charmLevel': 1, 'displayName': 'Soulstealer2', 'displayIcon': 'https://media.valorant-api.com/buddylevels/20eea728-493e-6e47-8121-159c67f4ba52/displayicon.png', 'assetPath': 'ShooterGame/Content/Equippables/Buddies/Soulstealer2/GunBuddy_Soulstealer2_Lv1_PrimaryAsset'}

print(valorant_store.card_info("33c1f011-4eca-068c-9751-f68c788b2eee"))
# {'uuid': '33c1f011-4eca-068c-9751-f68c788b2eee', 'displayName': 'The Way Forward Card', 'isHiddenIfNotOwned': False, 'themeUuid': None, 'displayIcon': 'https://media.valorant-api.com/playercards/33c1f011-4eca-068c-9751-f68c788b2eee/displayicon.png', 'smallArt': 'https://media.valorant-api.com/playercards/33c1f011-4eca-068c-9751-f68c788b2eee/smallart.png', 'wideArt': 'https://media.valorant-api.com/playercards/33c1f011-4eca-068c-9751-f68c788b2eee/wideart.png', 'largeArt': 'https://media.valorant-api.com/playercards/33c1f011-4eca-068c-9751-f68c788b2eee/largeart.png', 'assetPath': 'ShooterGame/Content/Personalization/PlayerCards/Act1_2_BP/Birb/Playercard_Birb_PrimaryAsset'}

print(valorant_store.spray_info("677dc003-4dbf-66a8-9116-4f8d7a9fb8d5"))
# {'uuid': '677dc003-4dbf-66a8-9116-4f8d7a9fb8d5', 'displayName': 'No Time Spray', 'category': 'EAresSprayCategory::Contextual', 'themeUuid': None, 'displayIcon': 'https://media.valorant-api.com/sprays/677dc003-4dbf-66a8-9116-4f8d7a9fb8d5/displayicon.png', 'fullIcon': 'https://media.valorant-api.com/sprays/677dc003-4dbf-66a8-9116-4f8d7a9fb8d5/fullicon.png', 'fullTransparentIcon': 'https://media.valorant-api.com/sprays/677dc003-4dbf-66a8-9116-4f8d7a9fb8d5/fulltransparenticon.png', 'animationPng': 'https://media.valorant-api.com/sprays/677dc003-4dbf-66a8-9116-4f8d7a9fb8d5/animation.png', 'animationGif': 'https://media.valorant-api.com/sprays/677dc003-4dbf-66a8-9116-4f8d7a9fb8d5/animation.gif', 'assetPath': 'ShooterGame/Content/Personalization/Sprays/Act1_2_BP/NoTime/NoTime_PrimaryAsset', 'levels': [{'uuid': '04075a6f-4045-bb00-241d-35b207d015be', 'sprayLevel': 1, 'displayName': 'No Time Spray', 'displayIcon': 'https://media.valorant-api.com/spraylevels/04075a6f-4045-bb00-241d-35b207d015be/displayicon.png', 'assetPath': 'ShooterGame/Content/Personalization/Sprays/Act1_2_BP/NoTime/NoTime_Level1_PrimaryAsset'}]}

print(valorant_store.bundle_info("3941ad01-4e3b-46e0-ba3a-ab94f7c67f98"))
# {'uuid': '3941ad01-4e3b-46e0-ba3a-ab94f7c67f98', 'displayName': 'Xenohunter', 'displayNameSubText': None, 'description': 'Xenohunter', 'extraDescription': None, 'promoDescription': None, 'useAdditionalContext': False, 'displayIcon': 'https://media.valorant-api.com/bundles/3941ad01-4e3b-46e0-ba3a-ab94f7c67f98/displayicon.png', 'displayIcon2': 'https://media.valorant-api.com/bundles/3941ad01-4e3b-46e0-ba3a-ab94f7c67f98/displayicon2.png', 'verticalPromoImage': 'https://media.valorant-api.com/bundles/3941ad01-4e3b-46e0-ba3a-ab94f7c67f98/verticalpromoimage.png', 'assetPath': 'ShooterGame/Content/UI/OutOfGame/MainMenu/Store/Bundles/StorefrontItem_Alien_ThemeBundle_DataAsset'}

print(valorant_store.session())
# {'subject': 'f3cc468f-86e2-4820-8a1d-7edb3876d0a6', 'cxnState': 'CONNECTED', 'clientID': '54fa6e68-0db3-47dd-83d3-9e329c67d91b', 'clientVersion': 'release-06.01-shipping-3-815441', 'loopState': 'MENUS', 'loopStateMetadata': '', 'version': 1, 'lastHeartbeatTime': '2023-01-30T21:10:00.888Z', 'expiredTime': '0001-01-01T00:00:00Z', 'heartbeatIntervalMillis': 60000, 'playtimeNotification': '', 'playtimeMinutes': 0, 'isRestricted': False, 'userinfoValidTime': '0001-01-01T00:00:00Z', 'restrictionType': '', 'clientPlatformInfo': {'platformType': 'PC', 'platformOS': 'Windows', 'platformOSVersion': '10.0.22621.1.768.64bit', 'platformChipset': 'Unknown'}}
```

## Legal

Please read the [DISCLAIMER](DISCLAIMER.md) before using the code.

```
Valorant-Store is not endorsed by Riot Games and does not reflect the views or opinions of Riot Games or anyone officially involved in producing or managing Riot Games properties. Riot Games and all associated properties are trademarks or registered trademarks of Riot Games, Inc.
```

## Riot Games

Hey Riot, first of all I hope you know that this project is a try to enhance the developer community of VALORANT and
also
recognize it as one. If u still have an issue with it, feel free to email or something :)

## Contributors

Thanks to [@techchrism](https://valapidocs.techchrism.me)
and [@Valorant-API](https://valorant-api.com), without them many parts of the API would be not available.

## License

The MIT License (MIT). Please see [License File](LICENSE) for more information.